defmodule Cryptx.MixProject do
  use Mix.Project

  def project do
    [
      app: :cryptx,
      version: "0.0.1",
      build_embedded: Mix.env == :prod,
      start_permanent: Mix.env() == :prod,
      compilers: [:elixir_make] ++ Mix.compilers,
      deps: deps(),
      description: description(),
      package: package(),
      name: "Cryptx",
      source_url: "https://github.com/phyxolog/cryptx"
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:elixir_make, "~> 0.4", runtime: false},
      {:ex_doc, ">= 0.0.0", only: :dev}
    ]
  end

  defp description() do
    "SRP (Secure Remote Password) 6a library for Elixir"
  end

  defp package() do
    [
      name: "cryptx",
      files: ["c_src", "lib", "test", "mix.exs", "Makefile*", "README*", "LICENSE*"],
      maintainers: ["Yura Zhivaga"],
      licenses: ["GNU 3.0"],
      links: %{"GitHub" => "https://github.com/phyxolog/cryptx"}
    ]
  end
end
